> ## Documentation Index
> Fetch the complete documentation index at: https://developer.nomba.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get customer information from a cable tv provider 

> Describes how to get the information of a cable tv customer

# `GET /v1/bill/cabletv/lookup`

#### Query parameters

<ParamField query="customerId" type="string">
  The identifier of the customer
</ParamField>

<ParamField query="cableTvType" type="string">
  The type of the cable tv provider (typically dstv or gotv)
</ParamField>

#### Response body

<ResponseField name="code" type="string" required>
  Response code
</ResponseField>

<ResponseField name="description" type="string" required>
  Response description
</ResponseField>

<ResponseField name="data" type="string" required>
  Data containing customer's name if present
</ResponseField>

<RequestExample>
  ```bash Request theme={null}
  curl --location 'https://api.nomba.com/v1/bill/cabletv/lookup' \
  --header 'accountId: <accountId>' \
  --header 'Authorization: <token>'
  ```
</RequestExample>

<ResponseExample>
  ```json Success response theme={null}
  {
      "code": "00",
      "description": "SUCCESS",
      "data": "John Doe"
  }
  ```
</ResponseExample>
